Cannot install logstash-core-plugin-api Error: Could not find a valid gem 'logstash-core-plugin-api' (>= 0) in any repository

d3v0ps00001's Avatar

d3v0ps00001

04 Apr, 2019 10:59 AM

Hi guys,
I tried to install logstash core plugin api in my local but I got an error.

$ gem install logstash-core-plugin-api
ERROR:  Could not find a valid gem 'logstash-core-plugin-api' (>= 0) in any repository
ERROR:  Possible alternatives: ph-logstash-core-plugin-api, logstash-codec-line, logstash-codec-plain, logstash-codec-fluent, logstash-codec-gzip

Any idea how to solve this issue?

Your help would be greatly appreciated. Thanks

I'm using Ubuntu 18.04.2 LTS (bionic)

$ java --version
openjdk 10.0.2 2018-07-17
OpenJDK Runtime Environment (build 10.0.2+13-Ubuntu-1ubuntu0.18.04.4)
OpenJDK 64-Bit Server VM (build 10.0.2+13-Ubuntu-1ubuntu0.18.04.4, mixed mode)
$ gem env
RubyGems Environment:
  - RUBYGEMS VERSION: 2.7.3
  - RUBY VERSION: 2.5.0 (2017-12-25 patchlevel 0) [x86_64-linux]
  - INSTALLATION DIRECTORY: /home/armano/.rbenv/versions/2.5.0/lib/ruby/gems/2.5.0
  - USER INSTALLATION DIRECTORY: /home/armano/.gem/ruby/2.5.0
  - RUBY EXECUTABLE: /home/armano/.rbenv/versions/2.5.0/bin/ruby
  - EXECUTABLE DIRECTORY: /home/armano/.rbenv/versions/2.5.0/bin
  - SPEC CACHE DIRECTORY: /home/armano/.gem/specs
  - SYSTEM CONFIGURATION DIRECTORY: /home/armano/.rbenv/versions/2.5.0/etc
  - RUBYGEMS PLATFORMS:
    - ruby
    - x86_64-linux
  - GEM PATHS:
     - /home/armano/.rbenv/versions/2.5.0/lib/ruby/gems/2.5.0
     - /home/armano/.gem/ruby/2.5.0
  - GEM CONFIGURATION:
     - :update_sources => true
     - :verbose => true
     - :backtrace => false
     - :bulk_threshold => 1000
  - REMOTE SOURCES:
     - https://rubygems.org/
  - SHELL PATH:
     - /home/armano/.rbenv/versions/2.5.0/bin
     - /home/armano/.rbenv/libexec
     - /home/armano/.rbenv/plugins/ruby-build/bin
     - /home/armano/.rbenv/shims
     - /home/armano/.rbenv/plugins/ruby-build/bin
     - /home/armano/.rbenv/bin
     - /usr/local/sbin
     - /usr/local/bin
     - /usr/sbin
     - /usr/bin
     - /sbin
     - /bin
     - /usr/games
     - /usr/local/games
     - /snap/bin
  1. Support Staff 1 Posted by sonalkr132 on 04 Apr, 2019 01:03 PM

    sonalkr132's Avatar

    You need to install jruby and then run jruby —S gem install logstash-core-plugin-api

  2. 2 Posted by d3v0ps00001 on 04 Apr, 2019 03:54 PM

    d3v0ps00001's Avatar

    Thanks, I got it.
    $ jruby -S gem install <gemname>

  3. David Radcliffe closed this discussion on 16 Apr, 2019 11:33 AM.

Comments are currently closed for this discussion. You can start a new one.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac